const loginForm = document.getElementById('loginForm');
const successPopup = document.getElementById('successPopup');
const errorPopup = document.getElementById('errorPopup');
const errorMessage = document.getElementById('errorMessage');

loginForm.addEventListener('submit', (event) => {
  event.preventDefault(); 

  const email = document.getElementById('email').value;
  const password = document.getElementById('password').value;

  fetch('http://localhost:8000/login', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({ email: email, password: password })
  })
  .then(response => {
    if (response.ok) {
      return response.text();
    } else if (response.status === 401) {
      errorMessage.textContent = 'Неверный пароль';
      errorPopup.style.display = 'block';
    } else if (response.status === 404) {
      errorMessage.textContent = 'Пользователь не существует';
      errorPopup.style.display = 'block';
    } else {
      throw new Error('Ошибка на сервере.');
    }
  })
  .then(data => {
    console.log('Ответ от сервера:', data);
    successPopup.style.display = 'block';
    loginForm.reset();
  })
  .catch(error => {
    console.error('Ошибка:', error);
  });
});

function closePopup() {
  successPopup.style.display = 'none';
  errorPopup.style.display = 'none';
}


function redirectToCabinet() {
    window.location.href = "./личныйкабинет.html"; 
}
/////////////////////////////////////////////
fetch('/login', {
  method: 'POST',
  headers: {
      'Content-Type': 'application/json'
  },
  body: JSON.stringify({ email: emailInput.value, password: passwordInput.value })
})
.then(response => {
  if (response.ok) {
      return response.json(); // Получаем email из ответа
    } else if (response.status === 401) {
      errorMessage.textContent = 'Неверный пароль';
      errorPopup.style.display = 'block';
    } else if (response.status === 404) {
      errorMessage.textContent = 'Пользователь не существует';
      errorPopup.style.display = 'block';
    } else {
      throw new Error('Ошибка на сервере.');
    }
})
.then(data => {
  localStorage.setItem('email', data.email); // Сохраняем email в localStorage
  window.location.href = 'личныйкабинет.html'; // Переход на личный кабинет
})
.catch(error => {
  console.error('Ошибка:', error);
});